# Asterisk Project : Asterisk 13 Application_PrivacyManager

Created by wikibot on Aug 08, 2014

# PrivacyManager()

### Synopsis

Require phone number to be entered, if no CallerID sent

### Description

If no Caller*ID is sent, PrivacyManager answers the channel and asks the caller to enter their phone number. The caller is given maxretries attempts to do so. The application does nothing if Caller*ID was received on the channel.

The application sets the following channel variable upon completion:

- `PRIVACYMGRSTATUS` - The status of the privacy manager's attempt to collect a phone number from the user.
  - SUCCESS
  - FAILED

### Syntax

    PrivacyManager([maxretries,[minlength,[options,[context]]]])

##### Arguments

- `maxretries` - Total tries caller is allowed to input a callerid. Defaults to `3`.
- `minlength` - Minimum allowable digits in the input callerid number. Defaults to `10`.
- `options` - Position reserved for options.
- `context` - Context to check the given callerid against patterns.

### See Also

- Asterisk 13 Application_Zapateller

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538